
extern bool Commentari = true;     //      
extern string MM = " risk>0,   FreeMargin";
extern double risk = 0.5;          //  0.01 - .
extern int balans = 2000;          //  ,   1000      
extern double Lots = 0.01;         //     0.01     0.1       0.16
extern int MaxTrades=32;

string EAName="Info";

//+----------------------------------------------------------------------------+
//|   ,  ,      .  |     
//+----------------------------------------------------------------------------+


int start()
{
{
 double BuyLots=0;
 double SellLots=0;
 double BuyProfit=0;
 double SellProfit=0;
 int TTotal=OrdersTotal();
 for (int i=TTotal-1;i>=0;i--)
 {
  if (OrderSelect(i,SELECT_BY_POS))
  {
   if (OrderSymbol()!=Symbol()) continue;
   if (OrderType()==OP_BUY)
   {
    BuyLots=BuyLots+OrderLots();
    BuyProfit=BuyProfit+OrderProfit()+OrderCommission()+OrderSwap();
   }
   if (OrderType()==OP_SELL)
   {
    SellLots=SellLots+OrderLots();
    SellProfit=SellProfit+OrderProfit()+OrderCommission()+OrderSwap();
   }
  }
 }
 double PPrice=0;
 double TickValue=MarketInfo(Symbol(),MODE_TICKVALUE);
 if (BuyLots>0) double BuyLevel=NormalizeDouble(Bid-(BuyProfit/(TickValue*BuyLots)*Point),Digits); else BuyLevel=0;
 if (SellLots>0) double SellLevel=NormalizeDouble(Ask+(SellProfit/(TickValue*SellLots)*Point),Digits); else SellLevel=0;
 if ((BuyLots-SellLots)>0) PPrice=NormalizeDouble(Bid-((BuyProfit+SellProfit)/(TickValue*(BuyLots-SellLots))*Point),Digits);
 if ((SellLots-BuyLots)>0) PPrice=NormalizeDouble(Ask+((BuyProfit+SellProfit)/(TickValue*(SellLots-BuyLots))*Point),Digits);
 string Title="    "+Symbol();
 string ZeroLevel="  ";
 if (PPrice>0) ZeroLevel=" = "+DoubleToStr(PPrice,Digits);
 string Buy="  ";
 if (BuyLevel>0) Buy=" = "+DoubleToStr(BuyLevel,Digits);
 string Sell="  ";
 if (SellLevel>0) Sell=" = "+DoubleToStr(SellLevel,Digits);
 string Message="                      "+ZeroLevel+"\n                          "+Buy+"\n                          "+Sell;
 //MessageBox(Message,Title,MB_OK|MB_ICONINFORMATION);
}
//+------------------------------------------------------------------+
//|          oneyManent &                  |
//+------------------------------------------------------------------+

 {
//----
   string MarginLevel;
   string CommentString=StringConcatenate("                    Number  =  ",AccountNumber(),"\n");
//   CommentString=StringConcatenate(CommentString,"                        Currency  =  ",AccountCurrency(),"\n");
//   CommentString=StringConcatenate(CommentString,"                        Company  =  ",AccountCompany(),"\n");
//   CommentString=StringConcatenate(CommentString,"                        Name  =  ",AccountName(),"\n");
   CommentString=StringConcatenate(CommentString,"                        Server  =  ",AccountServer(),"\n");
   CommentString=StringConcatenate(CommentString,"                        StopoutLevel  =  ",AccountStopoutLevel(),"\n");
//   CommentString=StringConcatenate(CommentString,"                        StopoutMode  =  ",AccountStopoutMode(),"\n");
   CommentString=StringConcatenate(CommentString,"                        =====================","\n");
   CommentString=StringConcatenate(CommentString,"                        Balance  =  ",AccountBalance(),"\n");
   CommentString=StringConcatenate(CommentString,"                        Equity  =  ",AccountEquity(),"\n");
   CommentString=StringConcatenate(CommentString,"                        Margin  =  ",AccountMargin(),"\n");
   CommentString=StringConcatenate(CommentString,"                        FreeMargin  =  ",AccountFreeMargin(),"\n");
   
   if (AccountMargin()>0) MarginLevel=StringConcatenate("                        MarginLevel  =  ",DoubleToStr(AccountEquity()/AccountMargin()*100,2),"% ");
   else MarginLevel="MarginLevel=N/A";
 
   CommentString=StringConcatenate(CommentString,MarginLevel);
//   Comment(CommentString);
//----
//   return(0);
  }
//+------------------------------------------------------------------+




//+------------------------------------------------------------------+
//|                                     |
//+------------------------------------------------------------------+

if (Commentari) {
 Comment 
         ("\n    " + EAName, 
         "\n",
         "\n", "                    Account Number      =  ", AccountNumber(), 
         "\n", "                        =====================",
         "\n                        Broker Time  =  ", Hour() + " : " + Minute(),                     
         "\n                        Spread  =  " + ( MarketInfo(Symbol(),MODE_SPREAD), 0),
         "\n                        StopLevel  =  " + ( MarketInfo(Symbol(),MODE_STOPLEVEL), 0),
         "\n                        Leverage  =  " +  DoubleToStr(AccountLeverage(), 0),
         "\n                        MinLot  =  " + ( MarketInfo(Symbol(),MODE_MINLOT), 0),
         "\n                        MaxLot  =  " + ( MarketInfo(Symbol(),MODE_MAXLOT), 0),
         "\n                        LotStep  =  " + ( MarketInfo(Symbol(),MODE_LOTSTEP), 0),
         "\n    "                     ,  CommentString ,                  
         "\n                        Total Profit / Loss  =  " , AccountProfit(),
         "\n                        Profit / Loss %      =  " , DoubleToStr ((AccountProfit()/ AccountBalance()* 100), 2),
         "\n                        1 LotMarginRequired  =  " + ( MarketInfo(Symbol(),MODE_MARGINREQUIRED), 0),
         "\n                        StartLot  =  "  , DoubleToStr (GetLots(),2), //  
         "\n                        BuyLots  =  "  , DoubleToStr (BuyLots,2), //  
         "\n                        SellLots  =  "  , DoubleToStr (SellLots,2), //  
         "\n", "                        =====================",
         "\n                          =  " , (MaxTrades + 1) ,
         "\n                               =  " , OrdersTotal(),
         "\n    "                     ,  Message ,
         "\n", "                        =====================",
         "\n");
               }
               return(0);
               }
 //=========================  ========================
 
 //+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//|         ,          |
//+------------------------------------------------------------------+


double GetLots() {
double minlot = MarketInfo(Symbol(), MODE_MINLOT);
double maxlot = MarketInfo(Symbol(), MODE_MAXLOT);
if(risk!=0)
 {
 double lot = NormalizeDouble(AccountFreeMargin() * risk /100 / balans, 2);
 if(lot < minlot) lot = minlot; if(lot > maxlot) lot = maxlot;
 }
else lot=Lots; return(lot);} 